org.yaml.snakeyaml.events

## Class SequenceStartEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.NodeEvent
    - - org.yaml.snakeyaml.events.CollectionStartEvent
      - - org.yaml.snakeyaml.events.SequenceStartEvent

    public final class SequenceStartEvent
    extends CollectionStartEvent

Marks the beginning of a sequence node.

This event is followed by the elements contained in the sequence, and a `SequenceEndEvent`.

See Also:
  `SequenceEndEvent`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`SequenceStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, Boolean flowStyle)` Deprecated.
`SequenceStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, DumperOptions.FlowStyle flowStyle)`

### Method Summary

Methods
`Event.ID` `getEventId()` Get the type (kind) if this Event

### Methods inherited from class org.yaml.snakeyaml.events.CollectionStartEvent

`getArguments, getFlowStyle, getImplicit, getTag, isFlow`

### Methods inherited from class org.yaml.snakeyaml.events.NodeEvent

`getAnchor`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SequenceStartEvent

    public SequenceStartEvent(String anchor,
                      String tag,
                      boolean implicit,
                      Mark startMark,
                      Mark endMark,
                      DumperOptions.FlowStyle flowStyle)

#### SequenceStartEvent

    @Deprecated
    public SequenceStartEvent(String anchor,
                                 String tag,
                                 boolean implicit,
                                 Mark startMark,
                                 Mark endMark,
                                 Boolean flowStyle)

Deprecated.

### Method Detail

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event